Build tools

Learn how to use Bootstrap Table’s included npm scripts to build our documentation, compile source code, and more.

Tooling setup

Bootstrap Table uses NPM scripts for its build system. Our package.json includes convenient methods for working with the framework, including linting coude, compiling code, and more.

To use our build system and run our documentation locally, you’ll need a copy of Bootstrap Table’s source files and Node. Follow these steps and you should be ready to rock:

  1. Download and install Node.js, which we use to manage our dependencies.
  2. Navigate to the root /bootstrap-table directory and run npm install to install our local dependencies listed in package.json.
  3. Install Ruby, install Bundler with gem install bundler, and finally run bundle install. This will install all Ruby dependencies, such as Jekyll and plugins.
    • Windows users: Read this guide to get Jekyll up and running without problems.

When completed, you’ll be able to run the various commands provided from the command line.

Using NPM scripts

Our package.json includes the following commands and tasks:

Task Description
npm run build npm run build creates the /dist directory with compiled files.
npm run lint Lints CSS and JavaScript for /src directory.
npm run docs Builds and lints CSS and JavaScript for docs. You can then run the documentation locally via npm run docs-serve.

Run npm run to see all the npm scripts.

Local documentation

Running our documentation locally requires the use of Jekyll, a decently flexible static site generator that provides us: basic includes, Markdown-based files, templates, and more. Here’s how to get it started:

  1. Run through the tooling setup above to install Jekyll (the site builder) and other Ruby dependencies with bundle install.
  2. From the root /bootstrap-table directory, run npm run docs-serve in the command line.
  3. Open http://localhost:9001 in your browser, and voilà.

Learn more about using Jekyll by reading its documentation.

Troubleshooting

Should you encounter problems with installing dependencies, uninstall all previous dependency versions (global and local). Then, rerun npm install.